1. Registry
  2. Packages
  3. Bytepluscc Provider
  4. API Docs
  5. waf
  6. getCustomBot
Viewing docs for bytepluscc v0.0.55
published on Thursday, Oct 15, 2026 by Byteplus
bytepluscc logo bytepluscc
Viewing docs for bytepluscc v0.0.55
published on Thursday, Oct 15, 2026 by Byteplus

    Data Source schema for Byteplus::WAF::CustomBot

    Using getCustomBot

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getCustomBot(args: GetCustomBotArgs, opts?: InvokeOptions): Promise<GetCustomBotResult>
    function getCustomBotOutput(args: GetCustomBotOutputArgs, opts?: InvokeOutputOptions): Output<GetCustomBotResult>
    def get_custom_bot(id: Optional[str] = None,
                       opts: Optional[InvokeOptions] = None) -> GetCustomBotResult
    def get_custom_bot_output(id: pulumi.Input[Optional[str]] = None,
                       opts: Optional[InvokeOutputOptions] = None) -> Output[GetCustomBotResult]
    func LookupCustomBot(ctx *Context, args *LookupCustomBotArgs, opts ...InvokeOption) (*LookupCustomBotResult, error)
    func LookupCustomBotOutput(ctx *Context, args *LookupCustomBotOutputArgs, opts ...InvokeOption) LookupCustomBotResultOutput

    > Note: This function is named LookupCustomBot in the Go SDK.

    public static class GetCustomBot 
    {
        public static Task<GetCustomBotResult> InvokeAsync(GetCustomBotArgs args, InvokeOptions? opts = null)
        public static Output<GetCustomBotResult> Invoke(GetCustomBotInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetCustomBotResult> Invoke(GetCustomBotInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetCustomBotResult> getCustomBot(GetCustomBotArgs args, InvokeOptions options)
    public static Output<GetCustomBotResult> getCustomBot(GetCustomBotArgs args, InvokeOptions options)
    public static Output<GetCustomBotResult> getCustomBot(GetCustomBotArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: bytepluscc:waf/getCustomBot:getCustomBot
      arguments:
        # arguments dictionary
    data "bytepluscc_waf_get_custom_bot" "name" {
        # arguments
    }

    The following arguments are supported:

    Id string
    Uniquely identifies the resource.
    Id string
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id str
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.

    getCustomBot Result

    The following output properties are available:

    Accurate Byteplus.GetCustomBotAccurate
    Advanced configuration details
    Action string
    Action. observe: Observe; block: Block; js: JS challenge; captcha: CAPTCHA; pow: Proof of Work; permit: Allow
    Advanced int
    Is advanced rule
    BotId string
    Bot configuration ID
    BotType string
    Bot name. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', underscore '_', and hyphen '-' are allowed. Length: 1–128 characters
    Description string
    Description. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', space, underscore '_', hyphen '-', equal sign '=', English comma ',', Chinese comma ',', and Chinese period '。' are allowed. Length: 0–255 characters
    Enable int
    Enable or not. 0 means disabled, 1 means enabled
    Host string
    Domain name of the protected website for which the rule needs to be created
    Id string
    Uniquely identifies the resource.
    ProjectName string
    Project name of the resource
    RuleTag string
    Rule tags
    UpdateTime string
    Update time
    VerificationExemptionTime int
    Verification exemption time
    Accurate GetCustomBotAccurate
    Advanced configuration details
    Action string
    Action. observe: Observe; block: Block; js: JS challenge; captcha: CAPTCHA; pow: Proof of Work; permit: Allow
    Advanced int
    Is advanced rule
    BotId string
    Bot configuration ID
    BotType string
    Bot name. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', underscore '_', and hyphen '-' are allowed. Length: 1–128 characters
    Description string
    Description. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', space, underscore '_', hyphen '-', equal sign '=', English comma ',', Chinese comma ',', and Chinese period '。' are allowed. Length: 0–255 characters
    Enable int
    Enable or not. 0 means disabled, 1 means enabled
    Host string
    Domain name of the protected website for which the rule needs to be created
    Id string
    Uniquely identifies the resource.
    ProjectName string
    Project name of the resource
    RuleTag string
    Rule tags
    UpdateTime string
    Update time
    VerificationExemptionTime int
    Verification exemption time
    accurate object
    Advanced configuration details
    action string
    Action. observe: Observe; block: Block; js: JS challenge; captcha: CAPTCHA; pow: Proof of Work; permit: Allow
    advanced number
    Is advanced rule
    bot_id string
    Bot configuration ID
    bot_type string
    Bot name. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', underscore '_', and hyphen '-' are allowed. Length: 1–128 characters
    description string
    Description. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', space, underscore '_', hyphen '-', equal sign '=', English comma ',', Chinese comma ',', and Chinese period '。' are allowed. Length: 0–255 characters
    enable number
    Enable or not. 0 means disabled, 1 means enabled
    host string
    Domain name of the protected website for which the rule needs to be created
    id string
    Uniquely identifies the resource.
    project_name string
    Project name of the resource
    rule_tag string
    Rule tags
    update_time string
    Update time
    verification_exemption_time number
    Verification exemption time
    accurate GetCustomBotAccurate
    Advanced configuration details
    action String
    Action. observe: Observe; block: Block; js: JS challenge; captcha: CAPTCHA; pow: Proof of Work; permit: Allow
    advanced Integer
    Is advanced rule
    botId String
    Bot configuration ID
    botType String
    Bot name. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', underscore '_', and hyphen '-' are allowed. Length: 1–128 characters
    description String
    Description. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', space, underscore '_', hyphen '-', equal sign '=', English comma ',', Chinese comma ',', and Chinese period '。' are allowed. Length: 0–255 characters
    enable Integer
    Enable or not. 0 means disabled, 1 means enabled
    host String
    Domain name of the protected website for which the rule needs to be created
    id String
    Uniquely identifies the resource.
    projectName String
    Project name of the resource
    ruleTag String
    Rule tags
    updateTime String
    Update time
    verificationExemptionTime Integer
    Verification exemption time
    accurate GetCustomBotAccurate
    Advanced configuration details
    action string
    Action. observe: Observe; block: Block; js: JS challenge; captcha: CAPTCHA; pow: Proof of Work; permit: Allow
    advanced number
    Is advanced rule
    botId string
    Bot configuration ID
    botType string
    Bot name. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', underscore '_', and hyphen '-' are allowed. Length: 1–128 characters
    description string
    Description. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', space, underscore '_', hyphen '-', equal sign '=', English comma ',', Chinese comma ',', and Chinese period '。' are allowed. Length: 0–255 characters
    enable number
    Enable or not. 0 means disabled, 1 means enabled
    host string
    Domain name of the protected website for which the rule needs to be created
    id string
    Uniquely identifies the resource.
    projectName string
    Project name of the resource
    ruleTag string
    Rule tags
    updateTime string
    Update time
    verificationExemptionTime number
    Verification exemption time
    accurate GetCustomBotAccurate
    Advanced configuration details
    action str
    Action. observe: Observe; block: Block; js: JS challenge; captcha: CAPTCHA; pow: Proof of Work; permit: Allow
    advanced int
    Is advanced rule
    bot_id str
    Bot configuration ID
    bot_type str
    Bot name. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', underscore '_', and hyphen '-' are allowed. Length: 1–128 characters
    description str
    Description. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', space, underscore '_', hyphen '-', equal sign '=', English comma ',', Chinese comma ',', and Chinese period '。' are allowed. Length: 0–255 characters
    enable int
    Enable or not. 0 means disabled, 1 means enabled
    host str
    Domain name of the protected website for which the rule needs to be created
    id str
    Uniquely identifies the resource.
    project_name str
    Project name of the resource
    rule_tag str
    Rule tags
    update_time str
    Update time
    verification_exemption_time int
    Verification exemption time
    accurate Property Map
    Advanced configuration details
    action String
    Action. observe: Observe; block: Block; js: JS challenge; captcha: CAPTCHA; pow: Proof of Work; permit: Allow
    advanced Number
    Is advanced rule
    botId String
    Bot configuration ID
    botType String
    Bot name. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', underscore '_', and hyphen '-' are allowed. Length: 1–128 characters
    description String
    Description. Must start with a Chinese character, letter, or number. Letters, numbers, Chinese characters, period '.', space, underscore '_', hyphen '-', equal sign '=', English comma ',', Chinese comma ',', and Chinese period '。' are allowed. Length: 0–255 characters
    enable Number
    Enable or not. 0 means disabled, 1 means enabled
    host String
    Domain name of the protected website for which the rule needs to be created
    id String
    Uniquely identifies the resource.
    projectName String
    Project name of the resource
    ruleTag String
    Rule tags
    updateTime String
    Update time
    verificationExemptionTime Number
    Verification exemption time

    Supporting Types

    GetCustomBotAccurate

    AccurateRules List<Byteplus.GetCustomBotAccurateAccurateRule>
    Advanced condition subrule list
    Logic int
    Advanced condition group logical relationship. 1: AND; 2: OR
    AccurateRules []GetCustomBotAccurateAccurateRule
    Advanced condition subrule list
    Logic int
    Advanced condition group logical relationship. 1: AND; 2: OR
    accurate_rules list(object)
    Advanced condition subrule list
    logic number
    Advanced condition group logical relationship. 1: AND; 2: OR
    accurateRules List<GetCustomBotAccurateAccurateRule>
    Advanced condition subrule list
    logic Integer
    Advanced condition group logical relationship. 1: AND; 2: OR
    accurateRules GetCustomBotAccurateAccurateRule[]
    Advanced condition subrule list
    logic number
    Advanced condition group logical relationship. 1: AND; 2: OR
    accurate_rules Sequence[GetCustomBotAccurateAccurateRule]
    Advanced condition subrule list
    logic int
    Advanced condition group logical relationship. 1: AND; 2: OR
    accurateRules List<Property Map>
    Advanced condition subrule list
    logic Number
    Advanced condition group logical relationship. 1: AND; 2: OR

    GetCustomBotAccurateAccurateRule

    HttpObj string
    HTTP objects. Supported match objects are as follows: request.schema: request protocol; request.uri: request URI; request.method: request method; request.path: request path; request.queryargs: request parameters; request.header: request headers; request.header.ua: request User-Agent; request.header.refer: request referer; request.header.cookie: request Cookie header; request.header.content-length: request body length; request.header.content-type: request body format; request.header.x-forwarded-for: X-Forwarded-For; request.header.clientip: client IP; request.queryargs.{Key}: custom request parameter (replace {Key} with the specific parameter name); request.header.{Key}: custom request header (replace {Key} with the specific header name); request.cookie.{Key}: custom Cookie (replace {Key} with the specific Cookie name); response.header: response headers; response.body: response body; response.code: response status code; response.header.content-type: response header content-type; response.header.{Key}: custom response header (replace {Key} with the specific header name); response.body.{Key}: response body field (replace {Key} with the specific field name); request.ja3-hash: JA3 Hash (applicable only to byteplus-global region). You cannot directly pass generalized forms such as request.queryargs., request.header., request.cookie., response.header., response.body.*; you must provide a specific Key.
    ObjType int
    Enumeration value for the match object type, used to specify the match object type for subrules in advanced conditions. Supported values are as follows: 0: request.schema; 1: request.uri; 2: request.method; 3: request.path; 4: request.queryargs; 5: request.header; 6: request.header.ua; 7: request.header.refer; 8: request.header.cookie; 9: request.header.content-length; 10: request.header.content-type; 11: request.header.x-forwarded-for; 12: request.header.clientip; 13: request.queryargs.{Key}; 14: request.header.{Key}; 15: request.cookie.{Key}; 17: response.header; 18: response.body; 19: response.code; 20: response.header.content-type; 21: response.header.{Key}; 22: response.body.{Key}; 23: request.ja3-hash (applicable only to byteplus-global regions)
    Opretar int
    Enumeration values for match operators, used to specify how subrules are matched in advanced conditions. Supported values are as follows: 0: greater than; 1: greater than or equal to; 2: equal to; 3: less than; 4: less than or equal to; 5: not equal to; 6: contains substring; 7: does not contain substring; 8: prefix match; 9: prefix does not match; 10: suffix match; 11: suffix does not match; 12: contains all match sets; 13: does not contain all match sets; 14: belongs to match set; 15: does not belong to match set; 16: regex match; 17: recognized as IP; 18: recognized as IPv4; 19: recognized as IPv6; 20: recognized as private IP; 21: recognized as public IP; 22: reserved value; 23: belongs to IP group; 24: does not belong to IP group; 25: belongs to IP location; 26: does not belong to IP location; 27: contains IP intelligence; 28: belongs to ASN; 29: does not belong to ASN.
    Property int
    Enumeration value for the match attribute type. Default is 0 (except for special IP recognition scenarios). Supported values are as follows: 0: Value, applicable to most match object scenarios, such as request protocol, URI, method, request header, client IP, JA3 Hash, etc.; 5: IP, only used for the following IP recognition operations: 17 (recognize as IP), 18 (recognize as IPv4), 19 (recognize as IPv6), 20 (recognize as private IP), 21 (recognize as public IP)
    ValueString string
    Specific value corresponding to the match rule. When the match object is a generalized object such as request.header.{Key}, request.queryargs.{Key}, or request.cookie.{Key}, this field indicates the match value for the corresponding Key. Special note: When the operator (Operator) is 17, 18, 19, 20, or 21 and the match object (HttpObj) is request.header.clientip, this field does not need to be filled in; for all other operator scenarios, fill in the actual match value as required
    HttpObj string
    HTTP objects. Supported match objects are as follows: request.schema: request protocol; request.uri: request URI; request.method: request method; request.path: request path; request.queryargs: request parameters; request.header: request headers; request.header.ua: request User-Agent; request.header.refer: request referer; request.header.cookie: request Cookie header; request.header.content-length: request body length; request.header.content-type: request body format; request.header.x-forwarded-for: X-Forwarded-For; request.header.clientip: client IP; request.queryargs.{Key}: custom request parameter (replace {Key} with the specific parameter name); request.header.{Key}: custom request header (replace {Key} with the specific header name); request.cookie.{Key}: custom Cookie (replace {Key} with the specific Cookie name); response.header: response headers; response.body: response body; response.code: response status code; response.header.content-type: response header content-type; response.header.{Key}: custom response header (replace {Key} with the specific header name); response.body.{Key}: response body field (replace {Key} with the specific field name); request.ja3-hash: JA3 Hash (applicable only to byteplus-global region). You cannot directly pass generalized forms such as request.queryargs., request.header., request.cookie., response.header., response.body.*; you must provide a specific Key.
    ObjType int
    Enumeration value for the match object type, used to specify the match object type for subrules in advanced conditions. Supported values are as follows: 0: request.schema; 1: request.uri; 2: request.method; 3: request.path; 4: request.queryargs; 5: request.header; 6: request.header.ua; 7: request.header.refer; 8: request.header.cookie; 9: request.header.content-length; 10: request.header.content-type; 11: request.header.x-forwarded-for; 12: request.header.clientip; 13: request.queryargs.{Key}; 14: request.header.{Key}; 15: request.cookie.{Key}; 17: response.header; 18: response.body; 19: response.code; 20: response.header.content-type; 21: response.header.{Key}; 22: response.body.{Key}; 23: request.ja3-hash (applicable only to byteplus-global regions)
    Opretar int
    Enumeration values for match operators, used to specify how subrules are matched in advanced conditions. Supported values are as follows: 0: greater than; 1: greater than or equal to; 2: equal to; 3: less than; 4: less than or equal to; 5: not equal to; 6: contains substring; 7: does not contain substring; 8: prefix match; 9: prefix does not match; 10: suffix match; 11: suffix does not match; 12: contains all match sets; 13: does not contain all match sets; 14: belongs to match set; 15: does not belong to match set; 16: regex match; 17: recognized as IP; 18: recognized as IPv4; 19: recognized as IPv6; 20: recognized as private IP; 21: recognized as public IP; 22: reserved value; 23: belongs to IP group; 24: does not belong to IP group; 25: belongs to IP location; 26: does not belong to IP location; 27: contains IP intelligence; 28: belongs to ASN; 29: does not belong to ASN.
    Property int
    Enumeration value for the match attribute type. Default is 0 (except for special IP recognition scenarios). Supported values are as follows: 0: Value, applicable to most match object scenarios, such as request protocol, URI, method, request header, client IP, JA3 Hash, etc.; 5: IP, only used for the following IP recognition operations: 17 (recognize as IP), 18 (recognize as IPv4), 19 (recognize as IPv6), 20 (recognize as private IP), 21 (recognize as public IP)
    ValueString string
    Specific value corresponding to the match rule. When the match object is a generalized object such as request.header.{Key}, request.queryargs.{Key}, or request.cookie.{Key}, this field indicates the match value for the corresponding Key. Special note: When the operator (Operator) is 17, 18, 19, 20, or 21 and the match object (HttpObj) is request.header.clientip, this field does not need to be filled in; for all other operator scenarios, fill in the actual match value as required
    http_obj string
    HTTP objects. Supported match objects are as follows: request.schema: request protocol; request.uri: request URI; request.method: request method; request.path: request path; request.queryargs: request parameters; request.header: request headers; request.header.ua: request User-Agent; request.header.refer: request referer; request.header.cookie: request Cookie header; request.header.content-length: request body length; request.header.content-type: request body format; request.header.x-forwarded-for: X-Forwarded-For; request.header.clientip: client IP; request.queryargs.{Key}: custom request parameter (replace {Key} with the specific parameter name); request.header.{Key}: custom request header (replace {Key} with the specific header name); request.cookie.{Key}: custom Cookie (replace {Key} with the specific Cookie name); response.header: response headers; response.body: response body; response.code: response status code; response.header.content-type: response header content-type; response.header.{Key}: custom response header (replace {Key} with the specific header name); response.body.{Key}: response body field (replace {Key} with the specific field name); request.ja3-hash: JA3 Hash (applicable only to byteplus-global region). You cannot directly pass generalized forms such as request.queryargs., request.header., request.cookie., response.header., response.body.*; you must provide a specific Key.
    obj_type number
    Enumeration value for the match object type, used to specify the match object type for subrules in advanced conditions. Supported values are as follows: 0: request.schema; 1: request.uri; 2: request.method; 3: request.path; 4: request.queryargs; 5: request.header; 6: request.header.ua; 7: request.header.refer; 8: request.header.cookie; 9: request.header.content-length; 10: request.header.content-type; 11: request.header.x-forwarded-for; 12: request.header.clientip; 13: request.queryargs.{Key}; 14: request.header.{Key}; 15: request.cookie.{Key}; 17: response.header; 18: response.body; 19: response.code; 20: response.header.content-type; 21: response.header.{Key}; 22: response.body.{Key}; 23: request.ja3-hash (applicable only to byteplus-global regions)
    opretar number
    Enumeration values for match operators, used to specify how subrules are matched in advanced conditions. Supported values are as follows: 0: greater than; 1: greater than or equal to; 2: equal to; 3: less than; 4: less than or equal to; 5: not equal to; 6: contains substring; 7: does not contain substring; 8: prefix match; 9: prefix does not match; 10: suffix match; 11: suffix does not match; 12: contains all match sets; 13: does not contain all match sets; 14: belongs to match set; 15: does not belong to match set; 16: regex match; 17: recognized as IP; 18: recognized as IPv4; 19: recognized as IPv6; 20: recognized as private IP; 21: recognized as public IP; 22: reserved value; 23: belongs to IP group; 24: does not belong to IP group; 25: belongs to IP location; 26: does not belong to IP location; 27: contains IP intelligence; 28: belongs to ASN; 29: does not belong to ASN.
    property number
    Enumeration value for the match attribute type. Default is 0 (except for special IP recognition scenarios). Supported values are as follows: 0: Value, applicable to most match object scenarios, such as request protocol, URI, method, request header, client IP, JA3 Hash, etc.; 5: IP, only used for the following IP recognition operations: 17 (recognize as IP), 18 (recognize as IPv4), 19 (recognize as IPv6), 20 (recognize as private IP), 21 (recognize as public IP)
    value_string string
    Specific value corresponding to the match rule. When the match object is a generalized object such as request.header.{Key}, request.queryargs.{Key}, or request.cookie.{Key}, this field indicates the match value for the corresponding Key. Special note: When the operator (Operator) is 17, 18, 19, 20, or 21 and the match object (HttpObj) is request.header.clientip, this field does not need to be filled in; for all other operator scenarios, fill in the actual match value as required
    httpObj String
    HTTP objects. Supported match objects are as follows: request.schema: request protocol; request.uri: request URI; request.method: request method; request.path: request path; request.queryargs: request parameters; request.header: request headers; request.header.ua: request User-Agent; request.header.refer: request referer; request.header.cookie: request Cookie header; request.header.content-length: request body length; request.header.content-type: request body format; request.header.x-forwarded-for: X-Forwarded-For; request.header.clientip: client IP; request.queryargs.{Key}: custom request parameter (replace {Key} with the specific parameter name); request.header.{Key}: custom request header (replace {Key} with the specific header name); request.cookie.{Key}: custom Cookie (replace {Key} with the specific Cookie name); response.header: response headers; response.body: response body; response.code: response status code; response.header.content-type: response header content-type; response.header.{Key}: custom response header (replace {Key} with the specific header name); response.body.{Key}: response body field (replace {Key} with the specific field name); request.ja3-hash: JA3 Hash (applicable only to byteplus-global region). You cannot directly pass generalized forms such as request.queryargs., request.header., request.cookie., response.header., response.body.*; you must provide a specific Key.
    objType Integer
    Enumeration value for the match object type, used to specify the match object type for subrules in advanced conditions. Supported values are as follows: 0: request.schema; 1: request.uri; 2: request.method; 3: request.path; 4: request.queryargs; 5: request.header; 6: request.header.ua; 7: request.header.refer; 8: request.header.cookie; 9: request.header.content-length; 10: request.header.content-type; 11: request.header.x-forwarded-for; 12: request.header.clientip; 13: request.queryargs.{Key}; 14: request.header.{Key}; 15: request.cookie.{Key}; 17: response.header; 18: response.body; 19: response.code; 20: response.header.content-type; 21: response.header.{Key}; 22: response.body.{Key}; 23: request.ja3-hash (applicable only to byteplus-global regions)
    opretar Integer
    Enumeration values for match operators, used to specify how subrules are matched in advanced conditions. Supported values are as follows: 0: greater than; 1: greater than or equal to; 2: equal to; 3: less than; 4: less than or equal to; 5: not equal to; 6: contains substring; 7: does not contain substring; 8: prefix match; 9: prefix does not match; 10: suffix match; 11: suffix does not match; 12: contains all match sets; 13: does not contain all match sets; 14: belongs to match set; 15: does not belong to match set; 16: regex match; 17: recognized as IP; 18: recognized as IPv4; 19: recognized as IPv6; 20: recognized as private IP; 21: recognized as public IP; 22: reserved value; 23: belongs to IP group; 24: does not belong to IP group; 25: belongs to IP location; 26: does not belong to IP location; 27: contains IP intelligence; 28: belongs to ASN; 29: does not belong to ASN.
    property Integer
    Enumeration value for the match attribute type. Default is 0 (except for special IP recognition scenarios). Supported values are as follows: 0: Value, applicable to most match object scenarios, such as request protocol, URI, method, request header, client IP, JA3 Hash, etc.; 5: IP, only used for the following IP recognition operations: 17 (recognize as IP), 18 (recognize as IPv4), 19 (recognize as IPv6), 20 (recognize as private IP), 21 (recognize as public IP)
    valueString String
    Specific value corresponding to the match rule. When the match object is a generalized object such as request.header.{Key}, request.queryargs.{Key}, or request.cookie.{Key}, this field indicates the match value for the corresponding Key. Special note: When the operator (Operator) is 17, 18, 19, 20, or 21 and the match object (HttpObj) is request.header.clientip, this field does not need to be filled in; for all other operator scenarios, fill in the actual match value as required
    httpObj string
    HTTP objects. Supported match objects are as follows: request.schema: request protocol; request.uri: request URI; request.method: request method; request.path: request path; request.queryargs: request parameters; request.header: request headers; request.header.ua: request User-Agent; request.header.refer: request referer; request.header.cookie: request Cookie header; request.header.content-length: request body length; request.header.content-type: request body format; request.header.x-forwarded-for: X-Forwarded-For; request.header.clientip: client IP; request.queryargs.{Key}: custom request parameter (replace {Key} with the specific parameter name); request.header.{Key}: custom request header (replace {Key} with the specific header name); request.cookie.{Key}: custom Cookie (replace {Key} with the specific Cookie name); response.header: response headers; response.body: response body; response.code: response status code; response.header.content-type: response header content-type; response.header.{Key}: custom response header (replace {Key} with the specific header name); response.body.{Key}: response body field (replace {Key} with the specific field name); request.ja3-hash: JA3 Hash (applicable only to byteplus-global region). You cannot directly pass generalized forms such as request.queryargs., request.header., request.cookie., response.header., response.body.*; you must provide a specific Key.
    objType number
    Enumeration value for the match object type, used to specify the match object type for subrules in advanced conditions. Supported values are as follows: 0: request.schema; 1: request.uri; 2: request.method; 3: request.path; 4: request.queryargs; 5: request.header; 6: request.header.ua; 7: request.header.refer; 8: request.header.cookie; 9: request.header.content-length; 10: request.header.content-type; 11: request.header.x-forwarded-for; 12: request.header.clientip; 13: request.queryargs.{Key}; 14: request.header.{Key}; 15: request.cookie.{Key}; 17: response.header; 18: response.body; 19: response.code; 20: response.header.content-type; 21: response.header.{Key}; 22: response.body.{Key}; 23: request.ja3-hash (applicable only to byteplus-global regions)
    opretar number
    Enumeration values for match operators, used to specify how subrules are matched in advanced conditions. Supported values are as follows: 0: greater than; 1: greater than or equal to; 2: equal to; 3: less than; 4: less than or equal to; 5: not equal to; 6: contains substring; 7: does not contain substring; 8: prefix match; 9: prefix does not match; 10: suffix match; 11: suffix does not match; 12: contains all match sets; 13: does not contain all match sets; 14: belongs to match set; 15: does not belong to match set; 16: regex match; 17: recognized as IP; 18: recognized as IPv4; 19: recognized as IPv6; 20: recognized as private IP; 21: recognized as public IP; 22: reserved value; 23: belongs to IP group; 24: does not belong to IP group; 25: belongs to IP location; 26: does not belong to IP location; 27: contains IP intelligence; 28: belongs to ASN; 29: does not belong to ASN.
    property number
    Enumeration value for the match attribute type. Default is 0 (except for special IP recognition scenarios). Supported values are as follows: 0: Value, applicable to most match object scenarios, such as request protocol, URI, method, request header, client IP, JA3 Hash, etc.; 5: IP, only used for the following IP recognition operations: 17 (recognize as IP), 18 (recognize as IPv4), 19 (recognize as IPv6), 20 (recognize as private IP), 21 (recognize as public IP)
    valueString string
    Specific value corresponding to the match rule. When the match object is a generalized object such as request.header.{Key}, request.queryargs.{Key}, or request.cookie.{Key}, this field indicates the match value for the corresponding Key. Special note: When the operator (Operator) is 17, 18, 19, 20, or 21 and the match object (HttpObj) is request.header.clientip, this field does not need to be filled in; for all other operator scenarios, fill in the actual match value as required
    http_obj str
    HTTP objects. Supported match objects are as follows: request.schema: request protocol; request.uri: request URI; request.method: request method; request.path: request path; request.queryargs: request parameters; request.header: request headers; request.header.ua: request User-Agent; request.header.refer: request referer; request.header.cookie: request Cookie header; request.header.content-length: request body length; request.header.content-type: request body format; request.header.x-forwarded-for: X-Forwarded-For; request.header.clientip: client IP; request.queryargs.{Key}: custom request parameter (replace {Key} with the specific parameter name); request.header.{Key}: custom request header (replace {Key} with the specific header name); request.cookie.{Key}: custom Cookie (replace {Key} with the specific Cookie name); response.header: response headers; response.body: response body; response.code: response status code; response.header.content-type: response header content-type; response.header.{Key}: custom response header (replace {Key} with the specific header name); response.body.{Key}: response body field (replace {Key} with the specific field name); request.ja3-hash: JA3 Hash (applicable only to byteplus-global region). You cannot directly pass generalized forms such as request.queryargs., request.header., request.cookie., response.header., response.body.*; you must provide a specific Key.
    obj_type int
    Enumeration value for the match object type, used to specify the match object type for subrules in advanced conditions. Supported values are as follows: 0: request.schema; 1: request.uri; 2: request.method; 3: request.path; 4: request.queryargs; 5: request.header; 6: request.header.ua; 7: request.header.refer; 8: request.header.cookie; 9: request.header.content-length; 10: request.header.content-type; 11: request.header.x-forwarded-for; 12: request.header.clientip; 13: request.queryargs.{Key}; 14: request.header.{Key}; 15: request.cookie.{Key}; 17: response.header; 18: response.body; 19: response.code; 20: response.header.content-type; 21: response.header.{Key}; 22: response.body.{Key}; 23: request.ja3-hash (applicable only to byteplus-global regions)
    opretar int
    Enumeration values for match operators, used to specify how subrules are matched in advanced conditions. Supported values are as follows: 0: greater than; 1: greater than or equal to; 2: equal to; 3: less than; 4: less than or equal to; 5: not equal to; 6: contains substring; 7: does not contain substring; 8: prefix match; 9: prefix does not match; 10: suffix match; 11: suffix does not match; 12: contains all match sets; 13: does not contain all match sets; 14: belongs to match set; 15: does not belong to match set; 16: regex match; 17: recognized as IP; 18: recognized as IPv4; 19: recognized as IPv6; 20: recognized as private IP; 21: recognized as public IP; 22: reserved value; 23: belongs to IP group; 24: does not belong to IP group; 25: belongs to IP location; 26: does not belong to IP location; 27: contains IP intelligence; 28: belongs to ASN; 29: does not belong to ASN.
    property int
    Enumeration value for the match attribute type. Default is 0 (except for special IP recognition scenarios). Supported values are as follows: 0: Value, applicable to most match object scenarios, such as request protocol, URI, method, request header, client IP, JA3 Hash, etc.; 5: IP, only used for the following IP recognition operations: 17 (recognize as IP), 18 (recognize as IPv4), 19 (recognize as IPv6), 20 (recognize as private IP), 21 (recognize as public IP)
    value_string str
    Specific value corresponding to the match rule. When the match object is a generalized object such as request.header.{Key}, request.queryargs.{Key}, or request.cookie.{Key}, this field indicates the match value for the corresponding Key. Special note: When the operator (Operator) is 17, 18, 19, 20, or 21 and the match object (HttpObj) is request.header.clientip, this field does not need to be filled in; for all other operator scenarios, fill in the actual match value as required
    httpObj String
    HTTP objects. Supported match objects are as follows: request.schema: request protocol; request.uri: request URI; request.method: request method; request.path: request path; request.queryargs: request parameters; request.header: request headers; request.header.ua: request User-Agent; request.header.refer: request referer; request.header.cookie: request Cookie header; request.header.content-length: request body length; request.header.content-type: request body format; request.header.x-forwarded-for: X-Forwarded-For; request.header.clientip: client IP; request.queryargs.{Key}: custom request parameter (replace {Key} with the specific parameter name); request.header.{Key}: custom request header (replace {Key} with the specific header name); request.cookie.{Key}: custom Cookie (replace {Key} with the specific Cookie name); response.header: response headers; response.body: response body; response.code: response status code; response.header.content-type: response header content-type; response.header.{Key}: custom response header (replace {Key} with the specific header name); response.body.{Key}: response body field (replace {Key} with the specific field name); request.ja3-hash: JA3 Hash (applicable only to byteplus-global region). You cannot directly pass generalized forms such as request.queryargs., request.header., request.cookie., response.header., response.body.*; you must provide a specific Key.
    objType Number
    Enumeration value for the match object type, used to specify the match object type for subrules in advanced conditions. Supported values are as follows: 0: request.schema; 1: request.uri; 2: request.method; 3: request.path; 4: request.queryargs; 5: request.header; 6: request.header.ua; 7: request.header.refer; 8: request.header.cookie; 9: request.header.content-length; 10: request.header.content-type; 11: request.header.x-forwarded-for; 12: request.header.clientip; 13: request.queryargs.{Key}; 14: request.header.{Key}; 15: request.cookie.{Key}; 17: response.header; 18: response.body; 19: response.code; 20: response.header.content-type; 21: response.header.{Key}; 22: response.body.{Key}; 23: request.ja3-hash (applicable only to byteplus-global regions)
    opretar Number
    Enumeration values for match operators, used to specify how subrules are matched in advanced conditions. Supported values are as follows: 0: greater than; 1: greater than or equal to; 2: equal to; 3: less than; 4: less than or equal to; 5: not equal to; 6: contains substring; 7: does not contain substring; 8: prefix match; 9: prefix does not match; 10: suffix match; 11: suffix does not match; 12: contains all match sets; 13: does not contain all match sets; 14: belongs to match set; 15: does not belong to match set; 16: regex match; 17: recognized as IP; 18: recognized as IPv4; 19: recognized as IPv6; 20: recognized as private IP; 21: recognized as public IP; 22: reserved value; 23: belongs to IP group; 24: does not belong to IP group; 25: belongs to IP location; 26: does not belong to IP location; 27: contains IP intelligence; 28: belongs to ASN; 29: does not belong to ASN.
    property Number
    Enumeration value for the match attribute type. Default is 0 (except for special IP recognition scenarios). Supported values are as follows: 0: Value, applicable to most match object scenarios, such as request protocol, URI, method, request header, client IP, JA3 Hash, etc.; 5: IP, only used for the following IP recognition operations: 17 (recognize as IP), 18 (recognize as IPv4), 19 (recognize as IPv6), 20 (recognize as private IP), 21 (recognize as public IP)
    valueString String
    Specific value corresponding to the match rule. When the match object is a generalized object such as request.header.{Key}, request.queryargs.{Key}, or request.cookie.{Key}, this field indicates the match value for the corresponding Key. Special note: When the operator (Operator) is 17, 18, 19, 20, or 21 and the match object (HttpObj) is request.header.clientip, this field does not need to be filled in; for all other operator scenarios, fill in the actual match value as required

    Package Details

    Repository
    bytepluscc byteplus-sdk/pulumi-bytepluscc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the bytepluscc Terraform Provider.
    bytepluscc logo bytepluscc
    Viewing docs for bytepluscc v0.0.55
    published on Thursday, Oct 15, 2026 by Byteplus

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial